Debian Bug report logs - #667143
critterding: ftbfs with GCC-4.7

version graph

Package: critterding; Maintainer for critterding is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>; Source for critterding is src:critterding.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:12:00 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version critterding/1.0-beta12.1-1.1

Fixed in version critterding/1.0-beta12.1-1.2

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667143; Package critterding. (Tue, 03 Apr 2012 23:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 03 Apr 2012 23:12:03 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: critterding: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:08:27 +0000
Package: critterding
Version: 1.0-beta12.1-1.1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

evolution.cpp:134:15: error: 'usleep' was not declared in this scope

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/critterding_1.0-beta12.1-1.1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
mv -f .deps/race.Tpo .deps/race.Plo
/bin/bash ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../..  -I../../utils/bullet -fopenmp  -I/usr/include/freetype2 -I/usr/include/FTGL    -g -O2 -MT testworld1.lo -MD -MP -MF .deps/testworld1.Tpo -c -o testworld1.lo testworld1.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../utils/bullet -fopenmp -I/usr/include/freetype2 -I/usr/include/FTGL -g -O2 -MT testworld1.lo -MD -MP -MF .deps/testworld1.Tpo -c testworld1.cpp  -fPIC -DPIC -o .libs/testworld1.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../utils/bullet -fopenmp -I/usr/include/freetype2 -I/usr/include/FTGL -g -O2 -MT testworld1.lo -MD -MP -MF .deps/testworld1.Tpo -c testworld1.cpp -o testworld1.o >/dev/null 2>&1
mv -f .deps/testworld1.Tpo .deps/testworld1.Plo
/bin/bash ../../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../../..  -I../../utils/bullet -fopenmp  -I/usr/include/freetype2 -I/usr/include/FTGL    -g -O2 -MT roundworld.lo -MD -MP -MF .deps/roundworld.Tpo -c -o roundworld.lo roundworld.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../utils/bullet -fopenmp -I/usr/include/freetype2 -I/usr/include/FTGL -g -O2 -MT roundworld.lo -MD -MP -MF .deps/roundworld.Tpo -c roundworld.cpp  -fPIC -DPIC -o .libs/roundworld.o
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../../.. -I../../utils/bullet -fopenmp -I/usr/include/freetype2 -I/usr/include/FTGL -g -O2 -MT roundworld.lo -MD -MP -MF .deps/roundworld.Tpo -c roundworld.cpp -o roundworld.o >/dev/null 2>&1
mv -f .deps/roundworld.Tpo .deps/roundworld.Plo
/bin/bash ../../../libtool --tag=CXX   --mode=link g++  -g -O2   -o libmodes.la  race.lo testworld1.lo roundworld.lo  
libtool: link: ar cru .libs/libmodes.a .libs/race.o .libs/testworld1.o .libs/roundworld.o 
libtool: link: ranlib .libs/libmodes.a
libtool: link: ( cd ".libs" && rm -f "libmodes.la" && ln -s "../libmodes.la" "libmodes.la" )
make[4]: Leaving directory `/«PKGBUILDDIR»/src/scenes/modes'
make[4]: Entering directory `/«PKGBUILDDIR»/src/scenes'
/bin/bash ../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../..  -I../utils/bullet -fopenmp  -I/usr/include/freetype2 -I/usr/include/FTGL    -g -O2 -MT evolution.lo -MD -MP -MF .deps/evolution.Tpo -c -o evolution.lo evolution.cpp
libtool: compile:  g++ -DHAVE_CONFIG_H -I. -I../.. -I../utils/bullet -fopenmp -I/usr/include/freetype2 -I/usr/include/FTGL -g -O2 -MT evolution.lo -MD -MP -MF .deps/evolution.Tpo -c evolution.cpp  -fPIC -DPIC -o .libs/evolution.o
evolution.cpp: In member function 'virtual void Evolution::draw()':
evolution.cpp:134:15: error: 'usleep' was not declared in this scope
make[4]: *** [evolution.lo] Error 1
make[4]: Leaving directory `/«PKGBUILDDIR»/src/scenes'
make[3]: *** [check-recursive] Error 1
make[2]: *** [check-recursive] Error 1
make[1]: *** [check-recursive] Error 1
dh_auto_test: make -j1 check returned exit code 2
make[3]: Leaving directory `/«PKGBUILDDIR»/src/scenes'
make[2]: Leaving directory `/«PKGBUILDDIR»/src'
make[1]: Leaving directory `/«PKGBUILDDIR»'
make: *** [build-arch] Error 29
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667143; Package critterding. (Thu, 05 Apr 2012 00:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 05 Apr 2012 00:51:02 GMT) Full text and rfc822 format available.

Message #10 received at 667143@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 667143@bugs.debian.org
Subject: Re: Bug#667143: critterding: ftbfs with GCC-4.7
Date: Thu, 5 Apr 2012 02:46:17 +0200
[Message part 1 (text/plain, inline)]
tag 667143 patch
thanks

Matthias Klose <doko@debian.org> (03/04/2012):
> Package: critterding
> Version: 1.0-beta12.1-1.1
> Severity: important
> Tags: sid wheezy
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.7

Here's a patch to fix this FTBFS. No intent to NMU.

Mraw,
KiBi.
[critterding+nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 00:51:04 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>:
Bug#667143; Package critterding. (Sun, 13 May 2012 14:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>. (Sun, 13 May 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 667143@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667143@bugs.debian.org
Subject: critterding: diff for NMU version 1.0-beta12.1-1.2
Date: Sun, 13 May 2012 15:47:11 +0100
tags 667143 + pending
thanks

Dear maintainer,

I've prepared an NMU for critterding (versioned as 1.0-beta12.1-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.


diff -Nru critterding-1.0-beta12.1/debian/changelog critterding-1.0-beta12.1/debian/changelog
--- critterding-1.0-beta12.1/debian/changelog	2011-10-23 15:19:10.000000000 +0100
+++ critterding-1.0-beta12.1/debian/changelog	2012-05-13 15:38:30.000000000 +0100
@@ -1,3 +1,11 @@
+critterding (1.0-beta12.1-1.2) unstable; urgency=low
+
+  [ Cyril Brulebois ]
+  * Non-maintainer upload.
+  * Fix FTBFS with gcc 4.7 due to missing <unistd.h> include (Closes: #667143).
+
+ -- Jonathan Wiltshire <jmw@debian.org>  Sun, 13 May 2012 15:38:27 +0100
+
 critterding (1.0-beta12.1-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru critterding-1.0-beta12.1/debian/patches/20fix_ftbfs_gcc_4.7 critterding-1.0-beta12.1/debian/patches/20fix_ftbfs_gcc_4.7
--- critterding-1.0-beta12.1/debian/patches/20fix_ftbfs_gcc_4.7	1970-01-01 01:00:00.000000000 +0100
+++ critterding-1.0-beta12.1/debian/patches/20fix_ftbfs_gcc_4.7	2012-05-13 15:38:23.000000000 +0100
@@ -0,0 +1,15 @@
+--- a/src/scenes/evolution.cpp
++++ b/src/scenes/evolution.cpp
+@@ -1,10 +1,9 @@
+-#ifdef _WIN32
+-	#include <unistd.h>
+-#endif
++#include <unistd.h>
+ #include "evolution.h"
+ 
+ # include <math.h>
+ 
++
+ Evolution::Evolution()
+ {
+ 	cmd = Commands::Instance();
diff -Nru critterding-1.0-beta12.1/debian/patches/series critterding-1.0-beta12.1/debian/patches/series
--- critterding-1.0-beta12.1/debian/patches/series	2011-10-23 15:18:02.000000000 +0100
+++ critterding-1.0-beta12.1/debian/patches/series	2012-05-13 15:38:23.000000000 +0100
@@ -1,3 +1,4 @@
 00fontandiconpath
 10uninitialized_constant
 11const_cast
+20fix_ftbfs_gcc_4.7




Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 14:51:07 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Tue, 15 May 2012 15:09:35 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 15 May 2012 15:09:38 GMT) Full text and rfc822 format available.

Message #26 received at 667143-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667143-close@bugs.debian.org
Subject: Bug#667143: fixed in critterding 1.0-beta12.1-1.2
Date: Tue, 15 May 2012 15:05:01 +0000
Source: critterding
Source-Version: 1.0-beta12.1-1.2

We believe that the bug you reported is fixed in the latest version of
critterding, which is due to be installed in the Debian FTP archive:

critterding_1.0-beta12.1-1.2.debian.tar.gz
  to main/c/critterding/critterding_1.0-beta12.1-1.2.debian.tar.gz
critterding_1.0-beta12.1-1.2.dsc
  to main/c/critterding/critterding_1.0-beta12.1-1.2.dsc
critterding_1.0-beta12.1-1.2_amd64.deb
  to main/c/critterding/critterding_1.0-beta12.1-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667143@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated critterding package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 13 May 2012 15:38:27 +0100
Source: critterding
Binary: critterding
Architecture: source amd64
Version: 1.0-beta12.1-1.2
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 critterding - Evolving Artificial Life
Closes: 667143
Changes: 
 critterding (1.0-beta12.1-1.2) unstable; urgency=low
 .
   [ Cyril Brulebois ]
   * Non-maintainer upload.
   * Fix FTBFS with gcc 4.7 due to missing <unistd.h> include (Closes: #667143).
Checksums-Sha1: 
 55ef435a9927264762c33c0548d938f578a9d307 2187 critterding_1.0-beta12.1-1.2.dsc
 a37d5913b9741425e6a331091b11236437655e00 45021 critterding_1.0-beta12.1-1.2.debian.tar.gz
 56779e71e948c40715f2aa6399dc4b540bfa1ca6 860394 critterding_1.0-beta12.1-1.2_amd64.deb
Checksums-Sha256: 
 2fd5ea742e11eaaeeaec41ac5a32d862c13b0c02fed5bfce2c610469647c4d04 2187 critterding_1.0-beta12.1-1.2.dsc
 bb85708ab836a7aef58a58d3716ec61b637634c7fcd4c5a35fa6aed3db84c23c 45021 critterding_1.0-beta12.1-1.2.debian.tar.gz
 dc669a7874abb0be661f036a69f7eeda7ee1de1e53080d86ba366eb1e49ae9b4 860394 critterding_1.0-beta12.1-1.2_amd64.deb
Files: 
 4ab7c2bd471ac253ba68b43b27987154 2187 science extra critterding_1.0-beta12.1-1.2.dsc
 e4d327651253d1ddc79529afbdcb59c9 45021 science extra critterding_1.0-beta12.1-1.2.debian.tar.gz
 b78785f8b9275c0116b57e66274b6b9c 860394 science extra critterding_1.0-beta12.1-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPr8lWAAoJEFOUR53TUkxRmywQAIdodcrHM2U8dWeNf9IN4aCW
SgyN654wvOzZ6vaAYOVnQ+HajcZrrIThZ6cDZbHBc6nZmPKFqXUerjDZeVApSL/x
DEIOxM2ujUeiN8+KWofae3Gi8MCKIHWv4pMcVl0lEAQDf31zQOF8nadvkea7o+eY
Vkkp3gI+77VeO6njXXrp36oEhX1Fbl3ZSuf1gcm9SFI2pk9moqmG7C4hLhY0kBvD
S238krnd61fIpLiv/IMI0VhgpaF9IftomSFcWCyLcJlT/2ndUVSgQCrFK6nIE+93
6qZZD+rdAOeK+abKLRajO4rTz65u/hYhrrLn3Xgc4McxzacvW3Ef46vhht6CsF9i
ldZL7TY0Vr552bBX6YGyFuA0rpjkg5UkgDhHhmc1IDLQj497UAComYBDnOHcuZij
eEX9N3yLYe6KNPgv0emGzxxiBC8104MDSxyY4nWIPHJeeP0Z4oWKmTlkCtNsjX9y
V+FEh5Zp+1Ua8C4ifx0xLR04onYk3/bMwiSMVK05U6zHtbFOrg+HzOHuFxOGdndz
tPmPwfX+mGmWXfhclBJc1aq/5UbOqXKYwOhjiZNnYtc/3iGFQTrJ2bbaeY5imDR6
DdcFOA8Fawp5sG4DEjxQ+E1+FNQ7fI0ijMxfVtsgOLhbVcxZnSt7nUC7biJ/OHNk
aUuXFcUd9tLDg5FXy9yI
=WBg2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 23 Jun 2012 07:42:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:23:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.